Subject: Re: Computer fails to resume from suspend unless I rmmod jme before initiating the suspend

From: Pavel Machek <[email-masked]>
Date: Mon, 22 Feb 2016 11:09:07 +0100

Hi!

> >>>> Every time I initiate a suspend (systemctl suspend) the machine hangs
> >>>> at resume unless I unload the jme driver.

It seems to have some kind of suspend/resume support. ... and it is
rather complex.

Maybe jme_start_irq(jme) should be moved to the end of jme_resume
function?

> > So I found that disabling async as in:
> >
> > $ echo 0 > /sys/power/pm_async
> >
> > Helps with my issue, I can't reproduce the hang anymore, tried
> > suspend/resume almost ~15 times.
> >
> > Diego
> 
> Can someone please help?

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html